summaryrefslogtreecommitdiffstats
path: root/scripts/zpool-config/x4550-raidz-8x6.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/zpool-config/x4550-raidz-8x6.sh')
-rw-r--r--scripts/zpool-config/x4550-raidz-8x6.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/scripts/zpool-config/x4550-raidz-8x6.sh b/scripts/zpool-config/x4550-raidz-8x6.sh
new file mode 100644
index 000000000..ed31a80e6
--- /dev/null
+++ b/scripts/zpool-config/x4550-raidz-8x6.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+#
+# Sun Fire x4550 (Thumper/Thor) Raid-Z Configuration (8x6(5+1))
+#
+
+RANKS=8
+CHANNELS=6
+
+zpool_create() {
+ udev_setup ${ETCDIR}/zfs/zdev.conf.x4550.example
+ udev_raidz_setup ${RANKS} ${CHANNELS}
+
+ msg ${ZPOOL} create ${FORCE_FLAG} ${ZPOOL_NAME} ${RAIDZS[*]}
+ ${ZPOOL} create ${FORCE_FLAG} ${ZPOOL_NAME} ${RAIDZS[*]} || exit 1
+}
+
+zpool_destroy() {
+ msg ${ZPOOL} destroy ${ZPOOL_NAME}
+ ${ZPOOL} destroy ${ZPOOL_NAME}
+ udev_cleanup ${ETCDIR}/zfs/zdev.conf.x4550.example
+}